.button {
    position: relative;
    overflow: hidden;
    border-radius: var(--border-radius);
}

.button::after {
    content: '';
    position: absolute;
    inset-block-start: 0;  /* بالا */
    inset-inline-start: 0; /* شروع خط متن */
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.1);
    transform: translateX(-100%);
    transition: transform 0.3s ease;
}

/* وقتی LTR هست */
html[dir="ltr"] .button::after {
    transform: translateX(-100%);
}

html[dir="ltr"] .button:hover::after {
    transform: translateX(0);
}

/* وقتی RTL هست */
html[dir="rtl"] .button::after {
    transform: translateX(100%);
}

html[dir="rtl"] .button:hover::after {
    transform: translateX(0);
}